Bug 528403 - Squirrelmail and various other web mails do not open properly with tinyproxy
Summary: Squirrelmail and various other web mails do not open properly with tinyproxy
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: tinyproxy
Version: 11
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Jeremy Hinegardner
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-10-12 01:21 UTC by Jeremy Hinegardner
Modified: 2009-11-05 21:28 UTC (History)
3 users (show)

Fixed In Version: 1.6.5-1.el4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-11-04 12:04:15 UTC
Type: ---


Attachments (Terms of Use)

Description Jeremy Hinegardner 2009-10-12 01:21:09 UTC
=== Data transferred from #503465 === 

I have found another bug in tinyproxy. I thought i'll just add a comment here
as the upstream developer has probably stopped working on it, so i'm not sure
if it will be further developed.
https://www.banu.com/pipermail/tinyproxy-developers-list/2009-February/000652.html

Description of problem:
Squirrelmail and various other web mails do not open properly with tinyproxy

Version-Release number of selected component (if applicable):
1.6.4

How reproducible:
Always

Steps to Reproduce:
1. Setup tinyproxy on localhost.
2. Point web browser to use tinyproxy
3. Try to open squirrelmail (my university uses it)

Actual results:
The following error message is shown on the squirrelmail web page
"ERROR
You must be logged in to access this page."
http://squirrelmail.org/wiki/LoginError
The same page can be easily logged on using direction connection or even behind
a localhost squid proxy

Expected results:
Users should be able to login and use squirrelmail properly.

Additional info:
Similar kinds of error occur with IMP Horde, Ilohamail as well as Hastymail web
based emails.

Comment 1 Jeremy Hinegardner 2009-10-12 01:25:53 UTC
This is tracked upstream as https://www.banu.com/bugzilla/show_bug.cgi?id=14 and has been fixed in release 1.6.5.

Comment 2 Fedora Update System 2009-10-12 02:33:45 UTC
tinyproxy-1.6.5-1.el4 has been submitted as an update for Fedora EPEL 4.
http://admin.fedoraproject.org/updates/tinyproxy-1.6.5-1.el4

Comment 3 Fedora Update System 2009-10-12 02:33:51 UTC
tinyproxy-1.6.5-1.el5 has been submitted as an update for Fedora EPEL 5.
http://admin.fedoraproject.org/updates/tinyproxy-1.6.5-1.el5

Comment 4 Fedora Update System 2009-10-12 02:33:56 UTC
tinyproxy-1.6.5-1.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/tinyproxy-1.6.5-1.fc12

Comment 5 Fedora Update System 2009-10-12 02:34:03 UTC
tinyproxy-1.6.5-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/tinyproxy-1.6.5-1.fc10

Comment 6 Fedora Update System 2009-10-12 02:34:08 UTC
tinyproxy-1.6.5-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/tinyproxy-1.6.5-1.fc11

Comment 7 Michael Adam 2009-10-12 08:36:10 UTC
Hi Jeremy,
Thanks for splitting this out!
Cheers - Michael

Comment 8 Fedora Update System 2009-10-14 01:46:45 UTC
tinyproxy-1.6.5-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tinyproxy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-10457

Comment 9 Fedora Update System 2009-10-14 02:01:52 UTC
tinyproxy-1.6.5-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tinyproxy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-10503

Comment 10 Fedora Update System 2009-10-16 19:30:25 UTC
tinyproxy-1.6.5-1.el5 has been pushed to the Fedora EPEL 5 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tinyproxy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-5/FEDORA-EPEL-2009-0626

Comment 11 Fedora Update System 2009-10-16 19:32:24 UTC
tinyproxy-1.6.5-1.el4 has been pushed to the Fedora EPEL 4 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update tinyproxy'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/EL-4/FEDORA-EPEL-2009-0638

Comment 12 Fedora Update System 2009-11-04 12:04:10 UTC
tinyproxy-1.6.5-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2009-11-04 12:20:42 UTC
tinyproxy-1.6.5-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 14 Fedora Update System 2009-11-05 21:27:16 UTC
tinyproxy-1.6.5-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2009-11-05 21:28:34 UTC
tinyproxy-1.6.5-1.el4 has been pushed to the Fedora EPEL 4 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.